gnutls_x509_rdn_get_by_oid(3)

NAME
gnutls_x509_rdn_get_by_oid - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_rdn_get_by_oid(const gnutls_datum_t * idn, const char * oid, int indx, unsigned int raw_flag, void * buf, size_t * buf_size);

ARGUMENTS

const gnutls_datum_t * idn
    should contain a DER encoded RDN sequence

const char * oid
    an Object Identifier

int indx
    In case multiple same OIDs exist in the RDN indicates which to send. Use 0 for the first one.

unsigned int raw_flag
    If non-zero then the raw DER data are returned.

void * buf
    a pointer to a structure to hold the peer's name

size_t * buf_size
    holds the size of buf

DESCRIPTION
This function will return the name of the given Object identifier, of the RDN sequence. The name will be encoded using the rules from RFC4514.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, or GNUTLS_E_SHORT_MEMORY_BUFFER is returned and * buf_size is updated if the provided buffer is not long enough, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/